# Agent Management

## GET /workspaces/{workspaceId}/agents

> List Agents

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Agents are the actors of the Collaboration API.","name":"agent"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"parameters":{"pagination.param.limit":{"description":"Limits the number of results to return.","in":"query","name":"limit","schema":{"default":25,"maximum":100,"type":"integer"}},"pagination.param.pageToken":{"description":"The cursor that keeps track of the current position in the results.","in":"query","name":"pageToken","schema":{"type":"string"}},"pagination.param.reverse":{"description":"Reverses the order in which the results are returned.","in":"query","name":"reverse","schema":{"default":false,"type":"boolean"}},"queryAgentSortBy":{"description":"Sort by field specified","in":"query","name":"sortBy","schema":{"enum":["createdAt","statusAssignedCount","assignedCount","name"],"type":"string"}},"queryAgentName":{"description":"Filter by agent name","in":"query","name":"name","schema":{"type":"string"}},"queryAgentEmail":{"description":"Filter by agent email","in":"query","name":"email","schema":{"type":"string"}},"queryAgentStatus":{"description":"Filter by agent status","in":"query","name":"agentStatuses","schema":{"items":{"$ref":"#/components/schemas/AgentStatus"},"type":"array"},"style":"form"},"queryAgentRoleId":{"description":"Filter by agent role ids","in":"query","name":"roleIds","schema":{"items":{"format":"uuid","type":"string"},"type":"array"}},"queryLastActivitySince":{"description":"To filter agents by their last status change since.","in":"query","name":"lastStatusActivitySince","schema":{"type":"string"}},"queryLastActivityUpto":{"description":"To filter agents by their last status change activity time.","in":"query","name":"lastStatusActivityUpto","schema":{"type":"string"}},"queryAgentId":{"description":"To find specific agents by their ids. If this is specified, other parameters are ignored.","in":"query","name":"agentIds","schema":{"items":{"format":"uuid","type":"string"},"type":"array"}}},"schemas":{"AgentStatus":{"type":"string","enum":["active","away","out-of-office"]},"AgentList":{"type":"object","required":["results"],"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Agent"}}}},"Agent":{"type":"object","additionalProperties":false,"required":["id","createdAt","updatedAt","workspaceId"],"properties":{"id":{"type":"string"},"status":{"$ref":"#/components/schemas/AgentStatus"},"statusBeforeOffline":{"$ref":"#/components/schemas/AgentStatus"},"name":{"type":"string","minLength":1,"maxLength":50},"overrideName":{"type":"boolean"},"workspaceId":{"type":"string"},"type":{"$ref":"#/components/schemas/AgentType"},"userEmails":{"type":"array","items":{"type":"string"}},"bio":{"type":"string","maxLength":240},"avatarUrl":{"type":"string"},"dropVms":{"type":"array","maxItems":3,"items":{"type":"object","additionalProperties":false,"oneOf":[{"required":["playback"]},{"required":["say"]}],"properties":{"name":{"type":"string"},"playback":{"title":"Playback","type":"object","additionalProperties":false,"properties":{"media":{"type":"array","items":{"type":"string"},"maxItems":80,"nullable":true},"pauseMilliseconds":{"type":"integer","minimum":0,"maximum":30000}},"required":["media"]},"say":{"type":"object","title":"Say","additionalProperties":false,"properties":{"text":{"type":"string"},"voice":{"type":"string"},"locale":{"type":"string","format":"locale-bcp47","default":"en-US","enum":["arb","ar-AE","ca-ES","yue-CN","cmn-CN","da-DK","nl-BE","nl-NL","en-AU","en-GB","en-IN","en-NZ","en-ZA","en-US","en-GB-WLS","fi-FI","fr-FR","fr-CA","hi-IN","de-DE","de-AT","is-IS","it-IT","ja-JP","ko-KR","nb-NO","pl-PL","pt-BR","pt-PT","ro-RO","ru-RU","es-ES","es-MX","es-US","sv-SE","tr-TR","cy-GB"]}}}}}},"tagCount":{"type":"integer"},"wrapUpTime":{"type":"integer","minimum":0,"maximum":900,"multipleOf":10},"rootItemAssignedCount":{"type":"integer","deprecated":true},"lastAssignedAt":{"type":"string","format":"date-time"},"lastSetToAwayAt":{"type":"string","format":"date-time"},"teams":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The team's ID this agent belongs to."},"name":{"type":"string","description":"The name of the team this agent belongs to."},"memberSince":{"type":"string","format":"date-time","description":"The timestamp of when this agent joined the team."},"activeMemberCount":{"type":"integer","description":"The number of active members in the team."},"pendingMemberCount":{"type":"integer","description":"The number of pending members in the team."}}}},"workload":{"$ref":"#/components/schemas/AgentWorkload"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"availability":{"$ref":"#/components/schemas/AgentAvailability"},"timezone":{"type":"string"},"defaultCountryCode":{"type":"string"},"defaultCallerId":{"type":"string"},"forwardNumber":{"$ref":"#/components/schemas/AgentForwardNumber"},"transcriptionLocale":{"$ref":"#/components/schemas/standard.locale.stt"},"roles":{"type":"array","items":{"$ref":"#/components/schemas/iam.role.ref"}},"user":{"type":"object","additionalProperties":true,"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/user.id"},"name":{"$ref":"#/components/schemas/user.name"},"avatarUrl":{"$ref":"#/components/schemas/user.avatar_url"},"defaultEmail":{"$ref":"#/components/schemas/user.default_email"},"phoneNumber":{"$ref":"#/components/schemas/user.phone_number.masked"}}},"weeklySchedule":{"$ref":"#/components/schemas/AgentWeeklySchedule"},"holidays":{"type":"array","items":{"$ref":"#/components/schemas/AgentHoliday"},"nullable":true},"assignedSkills":{"type":"array","items":{"$ref":"#/components/schemas/inbox.agents.skill.assigned"},"nullable":true},"defaultSenderId":{"type":"string","format":"uuid","description":"The default Sender Profile to select for this agent when composing a new message."},"outOfOfficeResponse":{"type":"string","maxLength":1000}}},"AgentType":{"type":"string","enum":["user","ai"]},"AgentWorkload":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string"},"workload":{"$ref":"#/components/schemas/AgentWorkloadCapabilities"},"rule":{"$ref":"#/components/schemas/CapacityRule"},"ruleId":{"type":"string"},"updatedAt":{"type":"string","format":"date-time"}}},"AgentWorkloadCapabilities":{"type":"object","additionalProperties":false,"properties":{"messaging":{"type":"integer","minimum":0},"email":{"type":"integer","minimum":0}}},"CapacityRule":{"type":"object","additionalProperties":false,"required":["id","workspaceId","name","description","capacity"],"properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"default":{"type":"boolean"},"capacity":{"type":"object","additionalProperties":false,"properties":{"messaging":{"type":"integer"},"email":{"type":"integer"}}},"assignedAgentIds":{"type":"array","nullable":true,"items":{"type":"string","format":"uuid"}},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"AgentAvailability":{"type":"object","additionalProperties":false,"properties":{"status":{"$ref":"#/components/schemas/AgentStatus"},"activity":{"$ref":"#/components/schemas/AgentAvailabilityActivity"},"activityTtl":{"type":"integer","minimum":10,"maximum":86400,"multipleOf":1},"activityText":{"type":"string","maxLength":48},"lastStatusSet":{"type":"string"},"lastActivitySet":{"type":"string"},"updatedAt":{"type":"string","format":"date-time"}}},"AgentAvailabilityActivity":{"type":"string","enum":["available","in-call","busy","wrap-up-time","do-not-disturb","offline","not-available","out-of-hours","custom"]},"AgentForwardNumber":{"type":"object","additionalProperties":false,"properties":{"enabled":{"type":"boolean"},"number":{"type":"string","maxLength":20},"maskCaller":{"type":"boolean"}}},"standard.locale.stt":{"description":"Curated set of BCP47 locale identifiers supported by Bird speech-to-text products","enum":["ar-AE","ar-SA","cmn-CN","cy-GB","da-DK","de-CH","de-DE","el-GR","en-AU","en-GB","en-GB-WLS","en-IE","en-IN","en-NZ","en-US","en-ZA","es-ES","es-MX","es-US","fr-CA","fr-FR","he-IL","hi-IN","id-ID","is-IS","it-IT","ja-JP","ko-KR","ms-MY","nb-NO","nl-NL","pl-PL","pt-BR","pt-PT","ro-RO","ru-RU","sv-SE","ta-IN","te-IN","th-TH","tr-TR","vi-VN","zh-CN","zh-HK","zh-TW","arb","af-ZA","bn-IN","ca-ES","cmn-TW","cs-CZ","fi-FI","fil-PH","gu-IN","hu-HU","kn-IN","lt-LT","lv-LV","ml-IN","mr-IN","pa-IN","sk-SK","sr-RS","uk-UA","yue-HK","no-NO"],"type":"string"},"iam.role.ref":{"additionalProperties":false,"properties":{"id":{"format":"uuid","type":"string"},"type":{"enum":["organization","managed"],"type":"string"},"workspaces":{"items":{"format":"uuid","type":"string"},"nullable":true,"type":"array"}},"required":["id","type"],"title":"RoleReference","type":"object"},"user.id":{"description":"ID of the user","format":"uuid","type":"string"},"user.name":{"description":"The display name for the user","type":"string"},"user.avatar_url":{"description":"URL to the user's profile picture.","type":"string"},"user.default_email":{"description":"The default email of the user in the list of emails.","type":"string"},"user.phone_number.masked":{"oneOf":[{"format":"phone-number","type":"string"},{"enum":["**hidden**"],"type":"string"}]},"AgentWeeklySchedule":{"type":"object","title":"AgentWeeklySchedule","additionalProperties":false,"required":[],"properties":{"monday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"tuesday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"wednesday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"thursday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"friday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"saturday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"sunday":{"$ref":"#/components/schemas/AgentScheduleEntry"}}},"AgentScheduleEntry":{"type":"object","title":"AgentScheduleEntry","additionalProperties":false,"required":["from","to"],"nullable":true,"properties":{"from":{"$ref":"#/components/schemas/AgentDateEntry"},"to":{"$ref":"#/components/schemas/AgentDateEntry"}}},"AgentDateEntry":{"type":"object","title":"AgentDateEntry","additionalProperties":false,"required":["hour"],"properties":{"hour":{"type":"integer","minimum":0,"maximum":23},"minute":{"type":"integer","minimum":0,"maximum":59}}},"AgentHoliday":{"type":"object","title":"AgentHoliday","additionalProperties":false,"required":["name","day","month"],"properties":{"name":{"type":"string"},"day":{"type":"integer","minimum":1,"maximum":31},"month":{"type":"integer","minimum":1,"maximum":12}}},"inbox.agents.skill.assigned":{"description":"AgentAssignedSkill is a denormalized AgentSkill, and a part of Agent entity.\n","properties":{"id":{"format":"uuid","type":"string"},"name":{"type":"string"},"selectedValues":{"items":{"$ref":"#/components/schemas/inbox.agents.skill.assigned.value"},"type":"array"},"valueType":{"$ref":"#/components/schemas/inbox.agents.skill.value.type"}},"required":["id","name","valueType","selectedValues"],"type":"object"},"inbox.agents.skill.assigned.value":{"description":"AgentSkillValue is a denormalized AgentSkillValue, and part of AgentAssignedSkill entity.\n","properties":{"icon":{"type":"string"},"id":{"format":"uuid","type":"string"},"value":{"type":"string"}},"required":["id","value"],"type":"object"},"inbox.agents.skill.value.type":{"description":"AgentSkillValueType defines how can the Values of a Skill can be selected.\n","enum":["single","multiple","boolean"],"type":"string"},"pagination":{"properties":{"nextPageToken":{"description":"The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.","type":"string"},"total":{"description":"The total number of results across all pages.","type":"integer"}},"type":"object"},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}}},"paths":{"/workspaces/{workspaceId}/agents":{"get":{"operationId":"listAgents","parameters":[{"$ref":"#/components/parameters/pagination.param.limit"},{"$ref":"#/components/parameters/pagination.param.pageToken"},{"$ref":"#/components/parameters/pagination.param.reverse"},{"$ref":"#/components/parameters/queryAgentSortBy"},{"$ref":"#/components/parameters/queryAgentName"},{"$ref":"#/components/parameters/queryAgentEmail"},{"$ref":"#/components/parameters/queryAgentStatus"},{"$ref":"#/components/parameters/queryAgentRoleId"},{"$ref":"#/components/parameters/queryLastActivitySince"},{"$ref":"#/components/parameters/queryLastActivityUpto"},{"$ref":"#/components/parameters/queryAgentId"}],"responses":{"200":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AgentList"},{"$ref":"#/components/schemas/pagination"}]}}},"description":"OK"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"List Agents","tags":["agent"]}}}}
```

## Create Agent

> Create a new agent with specified details like name, role, and basic bio.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Agents are the actors of the Collaboration API.","name":"agent"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"CreateAgent":{"oneOf":[{"$ref":"#/components/schemas/CreateAgentByUserId"},{"$ref":"#/components/schemas/CreateAgentByEmail"},{"$ref":"#/components/schemas/CreateAgentByBotId"}]},"CreateAgentByUserId":{"type":"object","additionalProperties":false,"required":["type","userId"],"properties":{"name":{"type":"string","minLength":1,"maxLength":50},"bio":{"type":"string","maxLength":240},"type":{"type":"string","enum":["user"]},"userId":{"type":"string","format":"uuid"},"teamId":{"type":"string","format":"uuid","nullable":true,"deprecated":true},"teamIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"timezone":{"type":"string","format":"timezone"},"defaultCountryCode":{"type":"string","format":"iso3166-1"},"weeklySchedule":{"$ref":"#/components/schemas/AgentWeeklySchedule"},"holidays":{"type":"array","items":{"$ref":"#/components/schemas/AgentHoliday"},"nullable":true}}},"AgentWeeklySchedule":{"type":"object","title":"AgentWeeklySchedule","additionalProperties":false,"required":[],"properties":{"monday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"tuesday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"wednesday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"thursday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"friday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"saturday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"sunday":{"$ref":"#/components/schemas/AgentScheduleEntry"}}},"AgentScheduleEntry":{"type":"object","title":"AgentScheduleEntry","additionalProperties":false,"required":["from","to"],"nullable":true,"properties":{"from":{"$ref":"#/components/schemas/AgentDateEntry"},"to":{"$ref":"#/components/schemas/AgentDateEntry"}}},"AgentDateEntry":{"type":"object","title":"AgentDateEntry","additionalProperties":false,"required":["hour"],"properties":{"hour":{"type":"integer","minimum":0,"maximum":23},"minute":{"type":"integer","minimum":0,"maximum":59}}},"AgentHoliday":{"type":"object","title":"AgentHoliday","additionalProperties":false,"required":["name","day","month"],"properties":{"name":{"type":"string"},"day":{"type":"integer","minimum":1,"maximum":31},"month":{"type":"integer","minimum":1,"maximum":12}}},"CreateAgentByEmail":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string"},"email":{"type":"string","format":"email"},"teamId":{"type":"string","format":"uuid","nullable":true,"deprecated":true},"teamIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"weeklySchedule":{"$ref":"#/components/schemas/AgentWeeklySchedule"},"holidays":{"type":"array","items":{"$ref":"#/components/schemas/AgentHoliday"},"nullable":true}},"required":["name","email"]},"CreateAgentByBotId":{"type":"object","additionalProperties":false,"required":["type","botId"],"properties":{"type":{"type":"string","enum":["ai"]},"botId":{"type":"string","format":"uuid"},"teamIds":{"type":"array","items":{"type":"string","format":"uuid"}}}},"Agent":{"type":"object","additionalProperties":false,"required":["id","createdAt","updatedAt","workspaceId"],"properties":{"id":{"type":"string"},"status":{"$ref":"#/components/schemas/AgentStatus"},"statusBeforeOffline":{"$ref":"#/components/schemas/AgentStatus"},"name":{"type":"string","minLength":1,"maxLength":50},"overrideName":{"type":"boolean"},"workspaceId":{"type":"string"},"type":{"$ref":"#/components/schemas/AgentType"},"userEmails":{"type":"array","items":{"type":"string"}},"bio":{"type":"string","maxLength":240},"avatarUrl":{"type":"string"},"dropVms":{"type":"array","maxItems":3,"items":{"type":"object","additionalProperties":false,"oneOf":[{"required":["playback"]},{"required":["say"]}],"properties":{"name":{"type":"string"},"playback":{"title":"Playback","type":"object","additionalProperties":false,"properties":{"media":{"type":"array","items":{"type":"string"},"maxItems":80,"nullable":true},"pauseMilliseconds":{"type":"integer","minimum":0,"maximum":30000}},"required":["media"]},"say":{"type":"object","title":"Say","additionalProperties":false,"properties":{"text":{"type":"string"},"voice":{"type":"string"},"locale":{"type":"string","format":"locale-bcp47","default":"en-US","enum":["arb","ar-AE","ca-ES","yue-CN","cmn-CN","da-DK","nl-BE","nl-NL","en-AU","en-GB","en-IN","en-NZ","en-ZA","en-US","en-GB-WLS","fi-FI","fr-FR","fr-CA","hi-IN","de-DE","de-AT","is-IS","it-IT","ja-JP","ko-KR","nb-NO","pl-PL","pt-BR","pt-PT","ro-RO","ru-RU","es-ES","es-MX","es-US","sv-SE","tr-TR","cy-GB"]}}}}}},"tagCount":{"type":"integer"},"wrapUpTime":{"type":"integer","minimum":0,"maximum":900,"multipleOf":10},"rootItemAssignedCount":{"type":"integer","deprecated":true},"lastAssignedAt":{"type":"string","format":"date-time"},"lastSetToAwayAt":{"type":"string","format":"date-time"},"teams":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The team's ID this agent belongs to."},"name":{"type":"string","description":"The name of the team this agent belongs to."},"memberSince":{"type":"string","format":"date-time","description":"The timestamp of when this agent joined the team."},"activeMemberCount":{"type":"integer","description":"The number of active members in the team."},"pendingMemberCount":{"type":"integer","description":"The number of pending members in the team."}}}},"workload":{"$ref":"#/components/schemas/AgentWorkload"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"availability":{"$ref":"#/components/schemas/AgentAvailability"},"timezone":{"type":"string"},"defaultCountryCode":{"type":"string"},"defaultCallerId":{"type":"string"},"forwardNumber":{"$ref":"#/components/schemas/AgentForwardNumber"},"transcriptionLocale":{"$ref":"#/components/schemas/standard.locale.stt"},"roles":{"type":"array","items":{"$ref":"#/components/schemas/iam.role.ref"}},"user":{"type":"object","additionalProperties":true,"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/user.id"},"name":{"$ref":"#/components/schemas/user.name"},"avatarUrl":{"$ref":"#/components/schemas/user.avatar_url"},"defaultEmail":{"$ref":"#/components/schemas/user.default_email"},"phoneNumber":{"$ref":"#/components/schemas/user.phone_number.masked"}}},"weeklySchedule":{"$ref":"#/components/schemas/AgentWeeklySchedule"},"holidays":{"type":"array","items":{"$ref":"#/components/schemas/AgentHoliday"},"nullable":true},"assignedSkills":{"type":"array","items":{"$ref":"#/components/schemas/inbox.agents.skill.assigned"},"nullable":true},"defaultSenderId":{"type":"string","format":"uuid","description":"The default Sender Profile to select for this agent when composing a new message."},"outOfOfficeResponse":{"type":"string","maxLength":1000}}},"AgentStatus":{"type":"string","enum":["active","away","out-of-office"]},"AgentType":{"type":"string","enum":["user","ai"]},"AgentWorkload":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string"},"workload":{"$ref":"#/components/schemas/AgentWorkloadCapabilities"},"rule":{"$ref":"#/components/schemas/CapacityRule"},"ruleId":{"type":"string"},"updatedAt":{"type":"string","format":"date-time"}}},"AgentWorkloadCapabilities":{"type":"object","additionalProperties":false,"properties":{"messaging":{"type":"integer","minimum":0},"email":{"type":"integer","minimum":0}}},"CapacityRule":{"type":"object","additionalProperties":false,"required":["id","workspaceId","name","description","capacity"],"properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"default":{"type":"boolean"},"capacity":{"type":"object","additionalProperties":false,"properties":{"messaging":{"type":"integer"},"email":{"type":"integer"}}},"assignedAgentIds":{"type":"array","nullable":true,"items":{"type":"string","format":"uuid"}},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"AgentAvailability":{"type":"object","additionalProperties":false,"properties":{"status":{"$ref":"#/components/schemas/AgentStatus"},"activity":{"$ref":"#/components/schemas/AgentAvailabilityActivity"},"activityTtl":{"type":"integer","minimum":10,"maximum":86400,"multipleOf":1},"activityText":{"type":"string","maxLength":48},"lastStatusSet":{"type":"string"},"lastActivitySet":{"type":"string"},"updatedAt":{"type":"string","format":"date-time"}}},"AgentAvailabilityActivity":{"type":"string","enum":["available","in-call","busy","wrap-up-time","do-not-disturb","offline","not-available","out-of-hours","custom"]},"AgentForwardNumber":{"type":"object","additionalProperties":false,"properties":{"enabled":{"type":"boolean"},"number":{"type":"string","maxLength":20},"maskCaller":{"type":"boolean"}}},"standard.locale.stt":{"description":"Curated set of BCP47 locale identifiers supported by Bird speech-to-text products","enum":["ar-AE","ar-SA","cmn-CN","cy-GB","da-DK","de-CH","de-DE","el-GR","en-AU","en-GB","en-GB-WLS","en-IE","en-IN","en-NZ","en-US","en-ZA","es-ES","es-MX","es-US","fr-CA","fr-FR","he-IL","hi-IN","id-ID","is-IS","it-IT","ja-JP","ko-KR","ms-MY","nb-NO","nl-NL","pl-PL","pt-BR","pt-PT","ro-RO","ru-RU","sv-SE","ta-IN","te-IN","th-TH","tr-TR","vi-VN","zh-CN","zh-HK","zh-TW","arb","af-ZA","bn-IN","ca-ES","cmn-TW","cs-CZ","fi-FI","fil-PH","gu-IN","hu-HU","kn-IN","lt-LT","lv-LV","ml-IN","mr-IN","pa-IN","sk-SK","sr-RS","uk-UA","yue-HK","no-NO"],"type":"string"},"iam.role.ref":{"additionalProperties":false,"properties":{"id":{"format":"uuid","type":"string"},"type":{"enum":["organization","managed"],"type":"string"},"workspaces":{"items":{"format":"uuid","type":"string"},"nullable":true,"type":"array"}},"required":["id","type"],"title":"RoleReference","type":"object"},"user.id":{"description":"ID of the user","format":"uuid","type":"string"},"user.name":{"description":"The display name for the user","type":"string"},"user.avatar_url":{"description":"URL to the user's profile picture.","type":"string"},"user.default_email":{"description":"The default email of the user in the list of emails.","type":"string"},"user.phone_number.masked":{"oneOf":[{"format":"phone-number","type":"string"},{"enum":["**hidden**"],"type":"string"}]},"inbox.agents.skill.assigned":{"description":"AgentAssignedSkill is a denormalized AgentSkill, and a part of Agent entity.\n","properties":{"id":{"format":"uuid","type":"string"},"name":{"type":"string"},"selectedValues":{"items":{"$ref":"#/components/schemas/inbox.agents.skill.assigned.value"},"type":"array"},"valueType":{"$ref":"#/components/schemas/inbox.agents.skill.value.type"}},"required":["id","name","valueType","selectedValues"],"type":"object"},"inbox.agents.skill.assigned.value":{"description":"AgentSkillValue is a denormalized AgentSkillValue, and part of AgentAssignedSkill entity.\n","properties":{"icon":{"type":"string"},"id":{"format":"uuid","type":"string"},"value":{"type":"string"}},"required":["id","value"],"type":"object"},"inbox.agents.skill.value.type":{"description":"AgentSkillValueType defines how can the Values of a Skill can be selected.\n","enum":["single","multiple","boolean"],"type":"string"},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.conflict":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The request conflicts with the current state of the resource."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/agents":{"post":{"description":"Create a new agent with specified details like name, role, and basic bio.","operationId":"createAgent","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAgent"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}},"description":"Created"},"404":{"$ref":"#/components/responses/error.response.not_found"},"409":{"$ref":"#/components/responses/error.response.conflict"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Create Agent","tags":["agent"]}}}}
```

## List All Agents

> Lists all agents for a workspace returning only minimal fields for each agent.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Agents are the actors of the Collaboration API.","name":"agent"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"AllAgentsList":{"type":"object","additionalProperties":false,"required":["results"],"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/AgentSummary"}}}},"AgentSummary":{"type":"object","additionalProperties":false,"required":["id","createdAt"],"properties":{"id":{"type":"string"},"status":{"$ref":"#/components/schemas/AgentStatus"},"activity":{"$ref":"#/components/schemas/AgentAvailabilityActivity"},"name":{"type":"string","minLength":1,"maxLength":50},"avatarUrl":{"type":"string"},"createdAt":{"type":"string","format":"date-time"}}},"AgentStatus":{"type":"string","enum":["active","away","out-of-office"]},"AgentAvailabilityActivity":{"type":"string","enum":["available","in-call","busy","wrap-up-time","do-not-disturb","offline","not-available","out-of-hours","custom"]}}},"paths":{"/workspaces/{workspaceId}/all-agents":{"get":{"description":"Lists all agents for a workspace returning only minimal fields for each agent.","operationId":"listAllAgents","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AllAgentsList"}}},"description":"OK"}},"summary":"List All Agents","tags":["agent"]}}}}
```

## Get Agent

> Retrieve information about a specific agent, including their name, bio, status.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Agents are the actors of the Collaboration API.","name":"agent"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"Agent":{"type":"object","additionalProperties":false,"required":["id","createdAt","updatedAt","workspaceId"],"properties":{"id":{"type":"string"},"status":{"$ref":"#/components/schemas/AgentStatus"},"statusBeforeOffline":{"$ref":"#/components/schemas/AgentStatus"},"name":{"type":"string","minLength":1,"maxLength":50},"overrideName":{"type":"boolean"},"workspaceId":{"type":"string"},"type":{"$ref":"#/components/schemas/AgentType"},"userEmails":{"type":"array","items":{"type":"string"}},"bio":{"type":"string","maxLength":240},"avatarUrl":{"type":"string"},"dropVms":{"type":"array","maxItems":3,"items":{"type":"object","additionalProperties":false,"oneOf":[{"required":["playback"]},{"required":["say"]}],"properties":{"name":{"type":"string"},"playback":{"title":"Playback","type":"object","additionalProperties":false,"properties":{"media":{"type":"array","items":{"type":"string"},"maxItems":80,"nullable":true},"pauseMilliseconds":{"type":"integer","minimum":0,"maximum":30000}},"required":["media"]},"say":{"type":"object","title":"Say","additionalProperties":false,"properties":{"text":{"type":"string"},"voice":{"type":"string"},"locale":{"type":"string","format":"locale-bcp47","default":"en-US","enum":["arb","ar-AE","ca-ES","yue-CN","cmn-CN","da-DK","nl-BE","nl-NL","en-AU","en-GB","en-IN","en-NZ","en-ZA","en-US","en-GB-WLS","fi-FI","fr-FR","fr-CA","hi-IN","de-DE","de-AT","is-IS","it-IT","ja-JP","ko-KR","nb-NO","pl-PL","pt-BR","pt-PT","ro-RO","ru-RU","es-ES","es-MX","es-US","sv-SE","tr-TR","cy-GB"]}}}}}},"tagCount":{"type":"integer"},"wrapUpTime":{"type":"integer","minimum":0,"maximum":900,"multipleOf":10},"rootItemAssignedCount":{"type":"integer","deprecated":true},"lastAssignedAt":{"type":"string","format":"date-time"},"lastSetToAwayAt":{"type":"string","format":"date-time"},"teams":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The team's ID this agent belongs to."},"name":{"type":"string","description":"The name of the team this agent belongs to."},"memberSince":{"type":"string","format":"date-time","description":"The timestamp of when this agent joined the team."},"activeMemberCount":{"type":"integer","description":"The number of active members in the team."},"pendingMemberCount":{"type":"integer","description":"The number of pending members in the team."}}}},"workload":{"$ref":"#/components/schemas/AgentWorkload"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"availability":{"$ref":"#/components/schemas/AgentAvailability"},"timezone":{"type":"string"},"defaultCountryCode":{"type":"string"},"defaultCallerId":{"type":"string"},"forwardNumber":{"$ref":"#/components/schemas/AgentForwardNumber"},"transcriptionLocale":{"$ref":"#/components/schemas/standard.locale.stt"},"roles":{"type":"array","items":{"$ref":"#/components/schemas/iam.role.ref"}},"user":{"type":"object","additionalProperties":true,"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/user.id"},"name":{"$ref":"#/components/schemas/user.name"},"avatarUrl":{"$ref":"#/components/schemas/user.avatar_url"},"defaultEmail":{"$ref":"#/components/schemas/user.default_email"},"phoneNumber":{"$ref":"#/components/schemas/user.phone_number.masked"}}},"weeklySchedule":{"$ref":"#/components/schemas/AgentWeeklySchedule"},"holidays":{"type":"array","items":{"$ref":"#/components/schemas/AgentHoliday"},"nullable":true},"assignedSkills":{"type":"array","items":{"$ref":"#/components/schemas/inbox.agents.skill.assigned"},"nullable":true},"defaultSenderId":{"type":"string","format":"uuid","description":"The default Sender Profile to select for this agent when composing a new message."},"outOfOfficeResponse":{"type":"string","maxLength":1000}}},"AgentStatus":{"type":"string","enum":["active","away","out-of-office"]},"AgentType":{"type":"string","enum":["user","ai"]},"AgentWorkload":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string"},"workload":{"$ref":"#/components/schemas/AgentWorkloadCapabilities"},"rule":{"$ref":"#/components/schemas/CapacityRule"},"ruleId":{"type":"string"},"updatedAt":{"type":"string","format":"date-time"}}},"AgentWorkloadCapabilities":{"type":"object","additionalProperties":false,"properties":{"messaging":{"type":"integer","minimum":0},"email":{"type":"integer","minimum":0}}},"CapacityRule":{"type":"object","additionalProperties":false,"required":["id","workspaceId","name","description","capacity"],"properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"default":{"type":"boolean"},"capacity":{"type":"object","additionalProperties":false,"properties":{"messaging":{"type":"integer"},"email":{"type":"integer"}}},"assignedAgentIds":{"type":"array","nullable":true,"items":{"type":"string","format":"uuid"}},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"AgentAvailability":{"type":"object","additionalProperties":false,"properties":{"status":{"$ref":"#/components/schemas/AgentStatus"},"activity":{"$ref":"#/components/schemas/AgentAvailabilityActivity"},"activityTtl":{"type":"integer","minimum":10,"maximum":86400,"multipleOf":1},"activityText":{"type":"string","maxLength":48},"lastStatusSet":{"type":"string"},"lastActivitySet":{"type":"string"},"updatedAt":{"type":"string","format":"date-time"}}},"AgentAvailabilityActivity":{"type":"string","enum":["available","in-call","busy","wrap-up-time","do-not-disturb","offline","not-available","out-of-hours","custom"]},"AgentForwardNumber":{"type":"object","additionalProperties":false,"properties":{"enabled":{"type":"boolean"},"number":{"type":"string","maxLength":20},"maskCaller":{"type":"boolean"}}},"standard.locale.stt":{"description":"Curated set of BCP47 locale identifiers supported by Bird speech-to-text products","enum":["ar-AE","ar-SA","cmn-CN","cy-GB","da-DK","de-CH","de-DE","el-GR","en-AU","en-GB","en-GB-WLS","en-IE","en-IN","en-NZ","en-US","en-ZA","es-ES","es-MX","es-US","fr-CA","fr-FR","he-IL","hi-IN","id-ID","is-IS","it-IT","ja-JP","ko-KR","ms-MY","nb-NO","nl-NL","pl-PL","pt-BR","pt-PT","ro-RO","ru-RU","sv-SE","ta-IN","te-IN","th-TH","tr-TR","vi-VN","zh-CN","zh-HK","zh-TW","arb","af-ZA","bn-IN","ca-ES","cmn-TW","cs-CZ","fi-FI","fil-PH","gu-IN","hu-HU","kn-IN","lt-LT","lv-LV","ml-IN","mr-IN","pa-IN","sk-SK","sr-RS","uk-UA","yue-HK","no-NO"],"type":"string"},"iam.role.ref":{"additionalProperties":false,"properties":{"id":{"format":"uuid","type":"string"},"type":{"enum":["organization","managed"],"type":"string"},"workspaces":{"items":{"format":"uuid","type":"string"},"nullable":true,"type":"array"}},"required":["id","type"],"title":"RoleReference","type":"object"},"user.id":{"description":"ID of the user","format":"uuid","type":"string"},"user.name":{"description":"The display name for the user","type":"string"},"user.avatar_url":{"description":"URL to the user's profile picture.","type":"string"},"user.default_email":{"description":"The default email of the user in the list of emails.","type":"string"},"user.phone_number.masked":{"oneOf":[{"format":"phone-number","type":"string"},{"enum":["**hidden**"],"type":"string"}]},"AgentWeeklySchedule":{"type":"object","title":"AgentWeeklySchedule","additionalProperties":false,"required":[],"properties":{"monday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"tuesday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"wednesday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"thursday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"friday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"saturday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"sunday":{"$ref":"#/components/schemas/AgentScheduleEntry"}}},"AgentScheduleEntry":{"type":"object","title":"AgentScheduleEntry","additionalProperties":false,"required":["from","to"],"nullable":true,"properties":{"from":{"$ref":"#/components/schemas/AgentDateEntry"},"to":{"$ref":"#/components/schemas/AgentDateEntry"}}},"AgentDateEntry":{"type":"object","title":"AgentDateEntry","additionalProperties":false,"required":["hour"],"properties":{"hour":{"type":"integer","minimum":0,"maximum":23},"minute":{"type":"integer","minimum":0,"maximum":59}}},"AgentHoliday":{"type":"object","title":"AgentHoliday","additionalProperties":false,"required":["name","day","month"],"properties":{"name":{"type":"string"},"day":{"type":"integer","minimum":1,"maximum":31},"month":{"type":"integer","minimum":1,"maximum":12}}},"inbox.agents.skill.assigned":{"description":"AgentAssignedSkill is a denormalized AgentSkill, and a part of Agent entity.\n","properties":{"id":{"format":"uuid","type":"string"},"name":{"type":"string"},"selectedValues":{"items":{"$ref":"#/components/schemas/inbox.agents.skill.assigned.value"},"type":"array"},"valueType":{"$ref":"#/components/schemas/inbox.agents.skill.value.type"}},"required":["id","name","valueType","selectedValues"],"type":"object"},"inbox.agents.skill.assigned.value":{"description":"AgentSkillValue is a denormalized AgentSkillValue, and part of AgentAssignedSkill entity.\n","properties":{"icon":{"type":"string"},"id":{"format":"uuid","type":"string"},"value":{"type":"string"}},"required":["id","value"],"type":"object"},"inbox.agents.skill.value.type":{"description":"AgentSkillValueType defines how can the Values of a Skill can be selected.\n","enum":["single","multiple","boolean"],"type":"string"},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}}},"paths":{"/workspaces/{workspaceId}/agents/{agentId}":{"get":{"description":"Retrieve information about a specific agent, including their name, bio, status.","operationId":"getAgent","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}},"description":"OK"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"Get Agent","tags":["agent"]}}}}
```

## Get url to upload profile avatar to

> Retrieve the url and form data to post profile avatar directly.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Agents are the actors of the Collaboration API.","name":"agent"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"PreSignedUpload":{"type":"object","title":"PreSignedUploadToken","description":"Url and Form data needed to upload an image","additionalProperties":false,"properties":{"mediaUrl":{"type":"string","description":"URL to download the media from","maxLength":5000},"fileId":{"type":"string","format":"uuid","description":"File ID"},"url":{"type":"string","description":"URL to post the image to","maxLength":5000},"formData":{"type":"object","additionalProperties":{"type":"string"}},"expectedFields":{"type":"array","items":{"type":"string"}}},"required":["url","formData"]}}},"paths":{"/workspaces/{workspaceId}/agents/{agentId}/presigned-upload":{"get":{"description":"Retrieve the url and form data to post profile avatar directly.","operationId":"getAgentPresignedUpload","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreSignedUpload"}}},"description":"OK"}},"summary":"Get url to upload profile avatar to","tags":["agent"]}}}}
```

## Get url to upload audio files

> Retrieve the url and form data to post audio files directly.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Agents are the actors of the Collaboration API.","name":"agent"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"PreSignedUpload":{"type":"object","title":"PreSignedUploadToken","description":"Url and Form data needed to upload an image","additionalProperties":false,"properties":{"mediaUrl":{"type":"string","description":"URL to download the media from","maxLength":5000},"fileId":{"type":"string","format":"uuid","description":"File ID"},"url":{"type":"string","description":"URL to post the image to","maxLength":5000},"formData":{"type":"object","additionalProperties":{"type":"string"}},"expectedFields":{"type":"array","items":{"type":"string"}}},"required":["url","formData"]}}},"paths":{"/workspaces/{workspaceId}/agents/{agentId}/presigned-upload/audio":{"post":{"description":"Retrieve the url and form data to post audio files directly.","operationId":"getAgentAudioPresignedUpload","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreSignedUpload"}}},"description":"OK"}},"summary":"Get url to upload audio files","tags":["agent"]}}}}
```

## Get agent media download

> Get media download from an agent

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Agents are the actors of the Collaboration API.","name":"agent"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"responses":{"ok":{"description":"Return file location","headers":{"Location":{"description":"Temporary URI where the file can be found","schema":{"format":"uri","type":"string"}}}},"found":{"description":"Redirect to file location","headers":{"Location":{"description":"Temporary URI where the file can be found","schema":{"format":"uri","type":"string"}}}},"error.response.bad_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The request was malformed."},"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}},"schemas":{"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}}},"paths":{"/workspaces/{workspaceId}/agents/{agentId}/media/{fileId}/download":{"get":{"description":"Get media download from an agent","operationId":"getAgentMediaDownload","responses":{"200":{"$ref":"#/components/responses/ok"},"302":{"$ref":"#/components/responses/found"},"400":{"$ref":"#/components/responses/error.response.bad_request"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"Get agent media download","tags":["agent"]}}}}
```

## Update Agent

> Modify the details of a specific agent, such as their name, bio, status.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Agents are the actors of the Collaboration API.","name":"agent"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"UpdateAgent":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string","minLength":1,"maxLength":50},"bio":{"type":"string","maxLength":240},"status":{"$ref":"#/components/schemas/AgentStatus"},"avatarUrl":{"type":"string"},"dropVms":{"type":"array","maxItems":3,"items":{"type":"object","additionalProperties":false,"oneOf":[{"required":["playback"]},{"required":["say"]}],"properties":{"name":{"type":"string"},"playback":{"title":"Playback","type":"object","additionalProperties":false,"properties":{"media":{"type":"array","items":{"type":"string"},"maxItems":80,"nullable":true},"pauseMilliseconds":{"type":"integer","minimum":0,"maximum":30000}},"required":["media"]},"say":{"type":"object","title":"Say","additionalProperties":false,"properties":{"text":{"type":"string"},"voice":{"type":"string"},"locale":{"type":"string","format":"locale-bcp47","default":"en-US","enum":["arb","ar-AE","ca-ES","yue-CN","cmn-CN","da-DK","nl-BE","nl-NL","en-AU","en-GB","en-IN","en-NZ","en-ZA","en-US","en-GB-WLS","fi-FI","fr-FR","fr-CA","hi-IN","de-DE","de-AT","is-IS","it-IT","ja-JP","ko-KR","nb-NO","pl-PL","pt-BR","pt-PT","ro-RO","ru-RU","es-ES","es-MX","es-US","sv-SE","tr-TR","cy-GB"]}}}}}},"wrapUpTime":{"type":"integer","minimum":0,"maximum":900},"timezone":{"type":"string"},"defaultCountryCode":{"type":"string"},"defaultCallerId":{"type":"string"},"forwardNumber":{"$ref":"#/components/schemas/AgentForwardNumber"},"transcriptionLocale":{"$ref":"#/components/schemas/standard.locale.stt"},"weeklySchedule":{"$ref":"#/components/schemas/AgentWeeklySchedule"},"holidays":{"type":"array","items":{"$ref":"#/components/schemas/AgentHoliday"}},"assignedSkills":{"type":"array","items":{"$ref":"#/components/schemas/inbox.agents.skill.assigned"}},"defaultSenderId":{"type":"string","format":"uuid","description":"The default Sender Profile to select for this agent when composing a new message."},"outOfOfficeResponse":{"type":"string","maxLength":1000}}},"AgentStatus":{"type":"string","enum":["active","away","out-of-office"]},"AgentForwardNumber":{"type":"object","additionalProperties":false,"properties":{"enabled":{"type":"boolean"},"number":{"type":"string","maxLength":20},"maskCaller":{"type":"boolean"}}},"standard.locale.stt":{"description":"Curated set of BCP47 locale identifiers supported by Bird speech-to-text products","enum":["ar-AE","ar-SA","cmn-CN","cy-GB","da-DK","de-CH","de-DE","el-GR","en-AU","en-GB","en-GB-WLS","en-IE","en-IN","en-NZ","en-US","en-ZA","es-ES","es-MX","es-US","fr-CA","fr-FR","he-IL","hi-IN","id-ID","is-IS","it-IT","ja-JP","ko-KR","ms-MY","nb-NO","nl-NL","pl-PL","pt-BR","pt-PT","ro-RO","ru-RU","sv-SE","ta-IN","te-IN","th-TH","tr-TR","vi-VN","zh-CN","zh-HK","zh-TW","arb","af-ZA","bn-IN","ca-ES","cmn-TW","cs-CZ","fi-FI","fil-PH","gu-IN","hu-HU","kn-IN","lt-LT","lv-LV","ml-IN","mr-IN","pa-IN","sk-SK","sr-RS","uk-UA","yue-HK","no-NO"],"type":"string"},"AgentWeeklySchedule":{"type":"object","title":"AgentWeeklySchedule","additionalProperties":false,"required":[],"properties":{"monday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"tuesday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"wednesday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"thursday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"friday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"saturday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"sunday":{"$ref":"#/components/schemas/AgentScheduleEntry"}}},"AgentScheduleEntry":{"type":"object","title":"AgentScheduleEntry","additionalProperties":false,"required":["from","to"],"nullable":true,"properties":{"from":{"$ref":"#/components/schemas/AgentDateEntry"},"to":{"$ref":"#/components/schemas/AgentDateEntry"}}},"AgentDateEntry":{"type":"object","title":"AgentDateEntry","additionalProperties":false,"required":["hour"],"properties":{"hour":{"type":"integer","minimum":0,"maximum":23},"minute":{"type":"integer","minimum":0,"maximum":59}}},"AgentHoliday":{"type":"object","title":"AgentHoliday","additionalProperties":false,"required":["name","day","month"],"properties":{"name":{"type":"string"},"day":{"type":"integer","minimum":1,"maximum":31},"month":{"type":"integer","minimum":1,"maximum":12}}},"inbox.agents.skill.assigned":{"description":"AgentAssignedSkill is a denormalized AgentSkill, and a part of Agent entity.\n","properties":{"id":{"format":"uuid","type":"string"},"name":{"type":"string"},"selectedValues":{"items":{"$ref":"#/components/schemas/inbox.agents.skill.assigned.value"},"type":"array"},"valueType":{"$ref":"#/components/schemas/inbox.agents.skill.value.type"}},"required":["id","name","valueType","selectedValues"],"type":"object"},"inbox.agents.skill.assigned.value":{"description":"AgentSkillValue is a denormalized AgentSkillValue, and part of AgentAssignedSkill entity.\n","properties":{"icon":{"type":"string"},"id":{"format":"uuid","type":"string"},"value":{"type":"string"}},"required":["id","value"],"type":"object"},"inbox.agents.skill.value.type":{"description":"AgentSkillValueType defines how can the Values of a Skill can be selected.\n","enum":["single","multiple","boolean"],"type":"string"},"Agent":{"type":"object","additionalProperties":false,"required":["id","createdAt","updatedAt","workspaceId"],"properties":{"id":{"type":"string"},"status":{"$ref":"#/components/schemas/AgentStatus"},"statusBeforeOffline":{"$ref":"#/components/schemas/AgentStatus"},"name":{"type":"string","minLength":1,"maxLength":50},"overrideName":{"type":"boolean"},"workspaceId":{"type":"string"},"type":{"$ref":"#/components/schemas/AgentType"},"userEmails":{"type":"array","items":{"type":"string"}},"bio":{"type":"string","maxLength":240},"avatarUrl":{"type":"string"},"dropVms":{"type":"array","maxItems":3,"items":{"type":"object","additionalProperties":false,"oneOf":[{"required":["playback"]},{"required":["say"]}],"properties":{"name":{"type":"string"},"playback":{"title":"Playback","type":"object","additionalProperties":false,"properties":{"media":{"type":"array","items":{"type":"string"},"maxItems":80,"nullable":true},"pauseMilliseconds":{"type":"integer","minimum":0,"maximum":30000}},"required":["media"]},"say":{"type":"object","title":"Say","additionalProperties":false,"properties":{"text":{"type":"string"},"voice":{"type":"string"},"locale":{"type":"string","format":"locale-bcp47","default":"en-US","enum":["arb","ar-AE","ca-ES","yue-CN","cmn-CN","da-DK","nl-BE","nl-NL","en-AU","en-GB","en-IN","en-NZ","en-ZA","en-US","en-GB-WLS","fi-FI","fr-FR","fr-CA","hi-IN","de-DE","de-AT","is-IS","it-IT","ja-JP","ko-KR","nb-NO","pl-PL","pt-BR","pt-PT","ro-RO","ru-RU","es-ES","es-MX","es-US","sv-SE","tr-TR","cy-GB"]}}}}}},"tagCount":{"type":"integer"},"wrapUpTime":{"type":"integer","minimum":0,"maximum":900,"multipleOf":10},"rootItemAssignedCount":{"type":"integer","deprecated":true},"lastAssignedAt":{"type":"string","format":"date-time"},"lastSetToAwayAt":{"type":"string","format":"date-time"},"teams":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The team's ID this agent belongs to."},"name":{"type":"string","description":"The name of the team this agent belongs to."},"memberSince":{"type":"string","format":"date-time","description":"The timestamp of when this agent joined the team."},"activeMemberCount":{"type":"integer","description":"The number of active members in the team."},"pendingMemberCount":{"type":"integer","description":"The number of pending members in the team."}}}},"workload":{"$ref":"#/components/schemas/AgentWorkload"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"availability":{"$ref":"#/components/schemas/AgentAvailability"},"timezone":{"type":"string"},"defaultCountryCode":{"type":"string"},"defaultCallerId":{"type":"string"},"forwardNumber":{"$ref":"#/components/schemas/AgentForwardNumber"},"transcriptionLocale":{"$ref":"#/components/schemas/standard.locale.stt"},"roles":{"type":"array","items":{"$ref":"#/components/schemas/iam.role.ref"}},"user":{"type":"object","additionalProperties":true,"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/user.id"},"name":{"$ref":"#/components/schemas/user.name"},"avatarUrl":{"$ref":"#/components/schemas/user.avatar_url"},"defaultEmail":{"$ref":"#/components/schemas/user.default_email"},"phoneNumber":{"$ref":"#/components/schemas/user.phone_number.masked"}}},"weeklySchedule":{"$ref":"#/components/schemas/AgentWeeklySchedule"},"holidays":{"type":"array","items":{"$ref":"#/components/schemas/AgentHoliday"},"nullable":true},"assignedSkills":{"type":"array","items":{"$ref":"#/components/schemas/inbox.agents.skill.assigned"},"nullable":true},"defaultSenderId":{"type":"string","format":"uuid","description":"The default Sender Profile to select for this agent when composing a new message."},"outOfOfficeResponse":{"type":"string","maxLength":1000}}},"AgentType":{"type":"string","enum":["user","ai"]},"AgentWorkload":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string"},"workload":{"$ref":"#/components/schemas/AgentWorkloadCapabilities"},"rule":{"$ref":"#/components/schemas/CapacityRule"},"ruleId":{"type":"string"},"updatedAt":{"type":"string","format":"date-time"}}},"AgentWorkloadCapabilities":{"type":"object","additionalProperties":false,"properties":{"messaging":{"type":"integer","minimum":0},"email":{"type":"integer","minimum":0}}},"CapacityRule":{"type":"object","additionalProperties":false,"required":["id","workspaceId","name","description","capacity"],"properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"default":{"type":"boolean"},"capacity":{"type":"object","additionalProperties":false,"properties":{"messaging":{"type":"integer"},"email":{"type":"integer"}}},"assignedAgentIds":{"type":"array","nullable":true,"items":{"type":"string","format":"uuid"}},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"AgentAvailability":{"type":"object","additionalProperties":false,"properties":{"status":{"$ref":"#/components/schemas/AgentStatus"},"activity":{"$ref":"#/components/schemas/AgentAvailabilityActivity"},"activityTtl":{"type":"integer","minimum":10,"maximum":86400,"multipleOf":1},"activityText":{"type":"string","maxLength":48},"lastStatusSet":{"type":"string"},"lastActivitySet":{"type":"string"},"updatedAt":{"type":"string","format":"date-time"}}},"AgentAvailabilityActivity":{"type":"string","enum":["available","in-call","busy","wrap-up-time","do-not-disturb","offline","not-available","out-of-hours","custom"]},"iam.role.ref":{"additionalProperties":false,"properties":{"id":{"format":"uuid","type":"string"},"type":{"enum":["organization","managed"],"type":"string"},"workspaces":{"items":{"format":"uuid","type":"string"},"nullable":true,"type":"array"}},"required":["id","type"],"title":"RoleReference","type":"object"},"user.id":{"description":"ID of the user","format":"uuid","type":"string"},"user.name":{"description":"The display name for the user","type":"string"},"user.avatar_url":{"description":"URL to the user's profile picture.","type":"string"},"user.default_email":{"description":"The default email of the user in the list of emails.","type":"string"},"user.phone_number.masked":{"oneOf":[{"format":"phone-number","type":"string"},{"enum":["**hidden**"],"type":"string"}]},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/agents/{agentId}":{"patch":{"description":"Modify the details of a specific agent, such as their name, bio, status.","operationId":"updateAgent","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAgent"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}},"description":"Updated"},"404":{"$ref":"#/components/responses/error.response.not_found"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Update Agent","tags":["agent"]}}}}
```

## Delete Agent

> Remove a specific agent from the system, permanently deleting their profile and associated data.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Agents are the actors of the Collaboration API.","name":"agent"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}},"schemas":{"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}}},"paths":{"/workspaces/{workspaceId}/agents/{agentId}":{"delete":{"description":"Remove a specific agent from the system, permanently deleting their profile and associated data.","operationId":"deleteAgent","responses":{"204":{"description":"Deleted"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"Delete Agent","tags":["agent"]}}}}
```

## Get Agent

> Retrieve information about a specific agent, including their name, bio, status.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Agents are the actors of the Collaboration API.","name":"agent"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"Agent":{"type":"object","additionalProperties":false,"required":["id","createdAt","updatedAt","workspaceId"],"properties":{"id":{"type":"string"},"status":{"$ref":"#/components/schemas/AgentStatus"},"statusBeforeOffline":{"$ref":"#/components/schemas/AgentStatus"},"name":{"type":"string","minLength":1,"maxLength":50},"overrideName":{"type":"boolean"},"workspaceId":{"type":"string"},"type":{"$ref":"#/components/schemas/AgentType"},"userEmails":{"type":"array","items":{"type":"string"}},"bio":{"type":"string","maxLength":240},"avatarUrl":{"type":"string"},"dropVms":{"type":"array","maxItems":3,"items":{"type":"object","additionalProperties":false,"oneOf":[{"required":["playback"]},{"required":["say"]}],"properties":{"name":{"type":"string"},"playback":{"title":"Playback","type":"object","additionalProperties":false,"properties":{"media":{"type":"array","items":{"type":"string"},"maxItems":80,"nullable":true},"pauseMilliseconds":{"type":"integer","minimum":0,"maximum":30000}},"required":["media"]},"say":{"type":"object","title":"Say","additionalProperties":false,"properties":{"text":{"type":"string"},"voice":{"type":"string"},"locale":{"type":"string","format":"locale-bcp47","default":"en-US","enum":["arb","ar-AE","ca-ES","yue-CN","cmn-CN","da-DK","nl-BE","nl-NL","en-AU","en-GB","en-IN","en-NZ","en-ZA","en-US","en-GB-WLS","fi-FI","fr-FR","fr-CA","hi-IN","de-DE","de-AT","is-IS","it-IT","ja-JP","ko-KR","nb-NO","pl-PL","pt-BR","pt-PT","ro-RO","ru-RU","es-ES","es-MX","es-US","sv-SE","tr-TR","cy-GB"]}}}}}},"tagCount":{"type":"integer"},"wrapUpTime":{"type":"integer","minimum":0,"maximum":900,"multipleOf":10},"rootItemAssignedCount":{"type":"integer","deprecated":true},"lastAssignedAt":{"type":"string","format":"date-time"},"lastSetToAwayAt":{"type":"string","format":"date-time"},"teams":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The team's ID this agent belongs to."},"name":{"type":"string","description":"The name of the team this agent belongs to."},"memberSince":{"type":"string","format":"date-time","description":"The timestamp of when this agent joined the team."},"activeMemberCount":{"type":"integer","description":"The number of active members in the team."},"pendingMemberCount":{"type":"integer","description":"The number of pending members in the team."}}}},"workload":{"$ref":"#/components/schemas/AgentWorkload"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"availability":{"$ref":"#/components/schemas/AgentAvailability"},"timezone":{"type":"string"},"defaultCountryCode":{"type":"string"},"defaultCallerId":{"type":"string"},"forwardNumber":{"$ref":"#/components/schemas/AgentForwardNumber"},"transcriptionLocale":{"$ref":"#/components/schemas/standard.locale.stt"},"roles":{"type":"array","items":{"$ref":"#/components/schemas/iam.role.ref"}},"user":{"type":"object","additionalProperties":true,"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/user.id"},"name":{"$ref":"#/components/schemas/user.name"},"avatarUrl":{"$ref":"#/components/schemas/user.avatar_url"},"defaultEmail":{"$ref":"#/components/schemas/user.default_email"},"phoneNumber":{"$ref":"#/components/schemas/user.phone_number.masked"}}},"weeklySchedule":{"$ref":"#/components/schemas/AgentWeeklySchedule"},"holidays":{"type":"array","items":{"$ref":"#/components/schemas/AgentHoliday"},"nullable":true},"assignedSkills":{"type":"array","items":{"$ref":"#/components/schemas/inbox.agents.skill.assigned"},"nullable":true},"defaultSenderId":{"type":"string","format":"uuid","description":"The default Sender Profile to select for this agent when composing a new message."},"outOfOfficeResponse":{"type":"string","maxLength":1000}}},"AgentStatus":{"type":"string","enum":["active","away","out-of-office"]},"AgentType":{"type":"string","enum":["user","ai"]},"AgentWorkload":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string"},"workload":{"$ref":"#/components/schemas/AgentWorkloadCapabilities"},"rule":{"$ref":"#/components/schemas/CapacityRule"},"ruleId":{"type":"string"},"updatedAt":{"type":"string","format":"date-time"}}},"AgentWorkloadCapabilities":{"type":"object","additionalProperties":false,"properties":{"messaging":{"type":"integer","minimum":0},"email":{"type":"integer","minimum":0}}},"CapacityRule":{"type":"object","additionalProperties":false,"required":["id","workspaceId","name","description","capacity"],"properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"default":{"type":"boolean"},"capacity":{"type":"object","additionalProperties":false,"properties":{"messaging":{"type":"integer"},"email":{"type":"integer"}}},"assignedAgentIds":{"type":"array","nullable":true,"items":{"type":"string","format":"uuid"}},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"AgentAvailability":{"type":"object","additionalProperties":false,"properties":{"status":{"$ref":"#/components/schemas/AgentStatus"},"activity":{"$ref":"#/components/schemas/AgentAvailabilityActivity"},"activityTtl":{"type":"integer","minimum":10,"maximum":86400,"multipleOf":1},"activityText":{"type":"string","maxLength":48},"lastStatusSet":{"type":"string"},"lastActivitySet":{"type":"string"},"updatedAt":{"type":"string","format":"date-time"}}},"AgentAvailabilityActivity":{"type":"string","enum":["available","in-call","busy","wrap-up-time","do-not-disturb","offline","not-available","out-of-hours","custom"]},"AgentForwardNumber":{"type":"object","additionalProperties":false,"properties":{"enabled":{"type":"boolean"},"number":{"type":"string","maxLength":20},"maskCaller":{"type":"boolean"}}},"standard.locale.stt":{"description":"Curated set of BCP47 locale identifiers supported by Bird speech-to-text products","enum":["ar-AE","ar-SA","cmn-CN","cy-GB","da-DK","de-CH","de-DE","el-GR","en-AU","en-GB","en-GB-WLS","en-IE","en-IN","en-NZ","en-US","en-ZA","es-ES","es-MX","es-US","fr-CA","fr-FR","he-IL","hi-IN","id-ID","is-IS","it-IT","ja-JP","ko-KR","ms-MY","nb-NO","nl-NL","pl-PL","pt-BR","pt-PT","ro-RO","ru-RU","sv-SE","ta-IN","te-IN","th-TH","tr-TR","vi-VN","zh-CN","zh-HK","zh-TW","arb","af-ZA","bn-IN","ca-ES","cmn-TW","cs-CZ","fi-FI","fil-PH","gu-IN","hu-HU","kn-IN","lt-LT","lv-LV","ml-IN","mr-IN","pa-IN","sk-SK","sr-RS","uk-UA","yue-HK","no-NO"],"type":"string"},"iam.role.ref":{"additionalProperties":false,"properties":{"id":{"format":"uuid","type":"string"},"type":{"enum":["organization","managed"],"type":"string"},"workspaces":{"items":{"format":"uuid","type":"string"},"nullable":true,"type":"array"}},"required":["id","type"],"title":"RoleReference","type":"object"},"user.id":{"description":"ID of the user","format":"uuid","type":"string"},"user.name":{"description":"The display name for the user","type":"string"},"user.avatar_url":{"description":"URL to the user's profile picture.","type":"string"},"user.default_email":{"description":"The default email of the user in the list of emails.","type":"string"},"user.phone_number.masked":{"oneOf":[{"format":"phone-number","type":"string"},{"enum":["**hidden**"],"type":"string"}]},"AgentWeeklySchedule":{"type":"object","title":"AgentWeeklySchedule","additionalProperties":false,"required":[],"properties":{"monday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"tuesday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"wednesday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"thursday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"friday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"saturday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"sunday":{"$ref":"#/components/schemas/AgentScheduleEntry"}}},"AgentScheduleEntry":{"type":"object","title":"AgentScheduleEntry","additionalProperties":false,"required":["from","to"],"nullable":true,"properties":{"from":{"$ref":"#/components/schemas/AgentDateEntry"},"to":{"$ref":"#/components/schemas/AgentDateEntry"}}},"AgentDateEntry":{"type":"object","title":"AgentDateEntry","additionalProperties":false,"required":["hour"],"properties":{"hour":{"type":"integer","minimum":0,"maximum":23},"minute":{"type":"integer","minimum":0,"maximum":59}}},"AgentHoliday":{"type":"object","title":"AgentHoliday","additionalProperties":false,"required":["name","day","month"],"properties":{"name":{"type":"string"},"day":{"type":"integer","minimum":1,"maximum":31},"month":{"type":"integer","minimum":1,"maximum":12}}},"inbox.agents.skill.assigned":{"description":"AgentAssignedSkill is a denormalized AgentSkill, and a part of Agent entity.\n","properties":{"id":{"format":"uuid","type":"string"},"name":{"type":"string"},"selectedValues":{"items":{"$ref":"#/components/schemas/inbox.agents.skill.assigned.value"},"type":"array"},"valueType":{"$ref":"#/components/schemas/inbox.agents.skill.value.type"}},"required":["id","name","valueType","selectedValues"],"type":"object"},"inbox.agents.skill.assigned.value":{"description":"AgentSkillValue is a denormalized AgentSkillValue, and part of AgentAssignedSkill entity.\n","properties":{"icon":{"type":"string"},"id":{"format":"uuid","type":"string"},"value":{"type":"string"}},"required":["id","value"],"type":"object"},"inbox.agents.skill.value.type":{"description":"AgentSkillValueType defines how can the Values of a Skill can be selected.\n","enum":["single","multiple","boolean"],"type":"string"},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}}},"paths":{"/workspaces/{workspaceId}/agents/me":{"get":{"description":"Retrieve information about a specific agent, including their name, bio, status.","operationId":"getMyAgent","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}},"description":"OK"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"Get Agent","tags":["agent"]}}}}
```

## Update Agent

> Modify the details of a specific agent, such as their name, bio, status.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Agents are the actors of the Collaboration API.","name":"agent"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"UpdateAgent":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string","minLength":1,"maxLength":50},"bio":{"type":"string","maxLength":240},"status":{"$ref":"#/components/schemas/AgentStatus"},"avatarUrl":{"type":"string"},"dropVms":{"type":"array","maxItems":3,"items":{"type":"object","additionalProperties":false,"oneOf":[{"required":["playback"]},{"required":["say"]}],"properties":{"name":{"type":"string"},"playback":{"title":"Playback","type":"object","additionalProperties":false,"properties":{"media":{"type":"array","items":{"type":"string"},"maxItems":80,"nullable":true},"pauseMilliseconds":{"type":"integer","minimum":0,"maximum":30000}},"required":["media"]},"say":{"type":"object","title":"Say","additionalProperties":false,"properties":{"text":{"type":"string"},"voice":{"type":"string"},"locale":{"type":"string","format":"locale-bcp47","default":"en-US","enum":["arb","ar-AE","ca-ES","yue-CN","cmn-CN","da-DK","nl-BE","nl-NL","en-AU","en-GB","en-IN","en-NZ","en-ZA","en-US","en-GB-WLS","fi-FI","fr-FR","fr-CA","hi-IN","de-DE","de-AT","is-IS","it-IT","ja-JP","ko-KR","nb-NO","pl-PL","pt-BR","pt-PT","ro-RO","ru-RU","es-ES","es-MX","es-US","sv-SE","tr-TR","cy-GB"]}}}}}},"wrapUpTime":{"type":"integer","minimum":0,"maximum":900},"timezone":{"type":"string"},"defaultCountryCode":{"type":"string"},"defaultCallerId":{"type":"string"},"forwardNumber":{"$ref":"#/components/schemas/AgentForwardNumber"},"transcriptionLocale":{"$ref":"#/components/schemas/standard.locale.stt"},"weeklySchedule":{"$ref":"#/components/schemas/AgentWeeklySchedule"},"holidays":{"type":"array","items":{"$ref":"#/components/schemas/AgentHoliday"}},"assignedSkills":{"type":"array","items":{"$ref":"#/components/schemas/inbox.agents.skill.assigned"}},"defaultSenderId":{"type":"string","format":"uuid","description":"The default Sender Profile to select for this agent when composing a new message."},"outOfOfficeResponse":{"type":"string","maxLength":1000}}},"AgentStatus":{"type":"string","enum":["active","away","out-of-office"]},"AgentForwardNumber":{"type":"object","additionalProperties":false,"properties":{"enabled":{"type":"boolean"},"number":{"type":"string","maxLength":20},"maskCaller":{"type":"boolean"}}},"standard.locale.stt":{"description":"Curated set of BCP47 locale identifiers supported by Bird speech-to-text products","enum":["ar-AE","ar-SA","cmn-CN","cy-GB","da-DK","de-CH","de-DE","el-GR","en-AU","en-GB","en-GB-WLS","en-IE","en-IN","en-NZ","en-US","en-ZA","es-ES","es-MX","es-US","fr-CA","fr-FR","he-IL","hi-IN","id-ID","is-IS","it-IT","ja-JP","ko-KR","ms-MY","nb-NO","nl-NL","pl-PL","pt-BR","pt-PT","ro-RO","ru-RU","sv-SE","ta-IN","te-IN","th-TH","tr-TR","vi-VN","zh-CN","zh-HK","zh-TW","arb","af-ZA","bn-IN","ca-ES","cmn-TW","cs-CZ","fi-FI","fil-PH","gu-IN","hu-HU","kn-IN","lt-LT","lv-LV","ml-IN","mr-IN","pa-IN","sk-SK","sr-RS","uk-UA","yue-HK","no-NO"],"type":"string"},"AgentWeeklySchedule":{"type":"object","title":"AgentWeeklySchedule","additionalProperties":false,"required":[],"properties":{"monday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"tuesday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"wednesday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"thursday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"friday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"saturday":{"$ref":"#/components/schemas/AgentScheduleEntry"},"sunday":{"$ref":"#/components/schemas/AgentScheduleEntry"}}},"AgentScheduleEntry":{"type":"object","title":"AgentScheduleEntry","additionalProperties":false,"required":["from","to"],"nullable":true,"properties":{"from":{"$ref":"#/components/schemas/AgentDateEntry"},"to":{"$ref":"#/components/schemas/AgentDateEntry"}}},"AgentDateEntry":{"type":"object","title":"AgentDateEntry","additionalProperties":false,"required":["hour"],"properties":{"hour":{"type":"integer","minimum":0,"maximum":23},"minute":{"type":"integer","minimum":0,"maximum":59}}},"AgentHoliday":{"type":"object","title":"AgentHoliday","additionalProperties":false,"required":["name","day","month"],"properties":{"name":{"type":"string"},"day":{"type":"integer","minimum":1,"maximum":31},"month":{"type":"integer","minimum":1,"maximum":12}}},"inbox.agents.skill.assigned":{"description":"AgentAssignedSkill is a denormalized AgentSkill, and a part of Agent entity.\n","properties":{"id":{"format":"uuid","type":"string"},"name":{"type":"string"},"selectedValues":{"items":{"$ref":"#/components/schemas/inbox.agents.skill.assigned.value"},"type":"array"},"valueType":{"$ref":"#/components/schemas/inbox.agents.skill.value.type"}},"required":["id","name","valueType","selectedValues"],"type":"object"},"inbox.agents.skill.assigned.value":{"description":"AgentSkillValue is a denormalized AgentSkillValue, and part of AgentAssignedSkill entity.\n","properties":{"icon":{"type":"string"},"id":{"format":"uuid","type":"string"},"value":{"type":"string"}},"required":["id","value"],"type":"object"},"inbox.agents.skill.value.type":{"description":"AgentSkillValueType defines how can the Values of a Skill can be selected.\n","enum":["single","multiple","boolean"],"type":"string"},"Agent":{"type":"object","additionalProperties":false,"required":["id","createdAt","updatedAt","workspaceId"],"properties":{"id":{"type":"string"},"status":{"$ref":"#/components/schemas/AgentStatus"},"statusBeforeOffline":{"$ref":"#/components/schemas/AgentStatus"},"name":{"type":"string","minLength":1,"maxLength":50},"overrideName":{"type":"boolean"},"workspaceId":{"type":"string"},"type":{"$ref":"#/components/schemas/AgentType"},"userEmails":{"type":"array","items":{"type":"string"}},"bio":{"type":"string","maxLength":240},"avatarUrl":{"type":"string"},"dropVms":{"type":"array","maxItems":3,"items":{"type":"object","additionalProperties":false,"oneOf":[{"required":["playback"]},{"required":["say"]}],"properties":{"name":{"type":"string"},"playback":{"title":"Playback","type":"object","additionalProperties":false,"properties":{"media":{"type":"array","items":{"type":"string"},"maxItems":80,"nullable":true},"pauseMilliseconds":{"type":"integer","minimum":0,"maximum":30000}},"required":["media"]},"say":{"type":"object","title":"Say","additionalProperties":false,"properties":{"text":{"type":"string"},"voice":{"type":"string"},"locale":{"type":"string","format":"locale-bcp47","default":"en-US","enum":["arb","ar-AE","ca-ES","yue-CN","cmn-CN","da-DK","nl-BE","nl-NL","en-AU","en-GB","en-IN","en-NZ","en-ZA","en-US","en-GB-WLS","fi-FI","fr-FR","fr-CA","hi-IN","de-DE","de-AT","is-IS","it-IT","ja-JP","ko-KR","nb-NO","pl-PL","pt-BR","pt-PT","ro-RO","ru-RU","es-ES","es-MX","es-US","sv-SE","tr-TR","cy-GB"]}}}}}},"tagCount":{"type":"integer"},"wrapUpTime":{"type":"integer","minimum":0,"maximum":900,"multipleOf":10},"rootItemAssignedCount":{"type":"integer","deprecated":true},"lastAssignedAt":{"type":"string","format":"date-time"},"lastSetToAwayAt":{"type":"string","format":"date-time"},"teams":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The team's ID this agent belongs to."},"name":{"type":"string","description":"The name of the team this agent belongs to."},"memberSince":{"type":"string","format":"date-time","description":"The timestamp of when this agent joined the team."},"activeMemberCount":{"type":"integer","description":"The number of active members in the team."},"pendingMemberCount":{"type":"integer","description":"The number of pending members in the team."}}}},"workload":{"$ref":"#/components/schemas/AgentWorkload"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"availability":{"$ref":"#/components/schemas/AgentAvailability"},"timezone":{"type":"string"},"defaultCountryCode":{"type":"string"},"defaultCallerId":{"type":"string"},"forwardNumber":{"$ref":"#/components/schemas/AgentForwardNumber"},"transcriptionLocale":{"$ref":"#/components/schemas/standard.locale.stt"},"roles":{"type":"array","items":{"$ref":"#/components/schemas/iam.role.ref"}},"user":{"type":"object","additionalProperties":true,"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/user.id"},"name":{"$ref":"#/components/schemas/user.name"},"avatarUrl":{"$ref":"#/components/schemas/user.avatar_url"},"defaultEmail":{"$ref":"#/components/schemas/user.default_email"},"phoneNumber":{"$ref":"#/components/schemas/user.phone_number.masked"}}},"weeklySchedule":{"$ref":"#/components/schemas/AgentWeeklySchedule"},"holidays":{"type":"array","items":{"$ref":"#/components/schemas/AgentHoliday"},"nullable":true},"assignedSkills":{"type":"array","items":{"$ref":"#/components/schemas/inbox.agents.skill.assigned"},"nullable":true},"defaultSenderId":{"type":"string","format":"uuid","description":"The default Sender Profile to select for this agent when composing a new message."},"outOfOfficeResponse":{"type":"string","maxLength":1000}}},"AgentType":{"type":"string","enum":["user","ai"]},"AgentWorkload":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string"},"workload":{"$ref":"#/components/schemas/AgentWorkloadCapabilities"},"rule":{"$ref":"#/components/schemas/CapacityRule"},"ruleId":{"type":"string"},"updatedAt":{"type":"string","format":"date-time"}}},"AgentWorkloadCapabilities":{"type":"object","additionalProperties":false,"properties":{"messaging":{"type":"integer","minimum":0},"email":{"type":"integer","minimum":0}}},"CapacityRule":{"type":"object","additionalProperties":false,"required":["id","workspaceId","name","description","capacity"],"properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"default":{"type":"boolean"},"capacity":{"type":"object","additionalProperties":false,"properties":{"messaging":{"type":"integer"},"email":{"type":"integer"}}},"assignedAgentIds":{"type":"array","nullable":true,"items":{"type":"string","format":"uuid"}},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"AgentAvailability":{"type":"object","additionalProperties":false,"properties":{"status":{"$ref":"#/components/schemas/AgentStatus"},"activity":{"$ref":"#/components/schemas/AgentAvailabilityActivity"},"activityTtl":{"type":"integer","minimum":10,"maximum":86400,"multipleOf":1},"activityText":{"type":"string","maxLength":48},"lastStatusSet":{"type":"string"},"lastActivitySet":{"type":"string"},"updatedAt":{"type":"string","format":"date-time"}}},"AgentAvailabilityActivity":{"type":"string","enum":["available","in-call","busy","wrap-up-time","do-not-disturb","offline","not-available","out-of-hours","custom"]},"iam.role.ref":{"additionalProperties":false,"properties":{"id":{"format":"uuid","type":"string"},"type":{"enum":["organization","managed"],"type":"string"},"workspaces":{"items":{"format":"uuid","type":"string"},"nullable":true,"type":"array"}},"required":["id","type"],"title":"RoleReference","type":"object"},"user.id":{"description":"ID of the user","format":"uuid","type":"string"},"user.name":{"description":"The display name for the user","type":"string"},"user.avatar_url":{"description":"URL to the user's profile picture.","type":"string"},"user.default_email":{"description":"The default email of the user in the list of emails.","type":"string"},"user.phone_number.masked":{"oneOf":[{"format":"phone-number","type":"string"},{"enum":["**hidden**"],"type":"string"}]},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/agents/me":{"patch":{"description":"Modify the details of a specific agent, such as their name, bio, status.","operationId":"updateMyAgent","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAgent"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agent"}}},"description":"Updated"},"404":{"$ref":"#/components/responses/error.response.not_found"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Update Agent","tags":["agent"]}}}}
```

## Get Agent Availability

> Retrieve information about availability of a specific agent.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Agents are the actors of the Collaboration API.","name":"agent"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"AgentAvailability":{"type":"object","additionalProperties":false,"properties":{"status":{"$ref":"#/components/schemas/AgentStatus"},"activity":{"$ref":"#/components/schemas/AgentAvailabilityActivity"},"activityTtl":{"type":"integer","minimum":10,"maximum":86400,"multipleOf":1},"activityText":{"type":"string","maxLength":48},"lastStatusSet":{"type":"string"},"lastActivitySet":{"type":"string"},"updatedAt":{"type":"string","format":"date-time"}}},"AgentStatus":{"type":"string","enum":["active","away","out-of-office"]},"AgentAvailabilityActivity":{"type":"string","enum":["available","in-call","busy","wrap-up-time","do-not-disturb","offline","not-available","out-of-hours","custom"]},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}}},"paths":{"/workspaces/{workspaceId}/agents/{agentId}/availability":{"get":{"description":"Retrieve information about availability of a specific agent.","operationId":"getAgentAvailability","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentAvailability"}}},"description":"OK"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"Get Agent Availability","tags":["agent"]}}}}
```

## Update Agent Availability

> Modify the availability of a specific agent.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Agents are the actors of the Collaboration API.","name":"agent"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"SetAgentAvailability":{"type":"object","additionalProperties":false,"required":["status"],"properties":{"status":{"$ref":"#/components/schemas/AgentStatus"},"activity":{"$ref":"#/components/schemas/AgentAvailabilityActivity"},"activityTtl":{"type":"integer","minimum":10,"maximum":86400,"multipleOf":1},"activityText":{"type":"string","maxLength":48}}},"AgentStatus":{"type":"string","enum":["active","away","out-of-office"]},"AgentAvailabilityActivity":{"type":"string","enum":["available","in-call","busy","wrap-up-time","do-not-disturb","offline","not-available","out-of-hours","custom"]},"AgentAvailability":{"type":"object","additionalProperties":false,"properties":{"status":{"$ref":"#/components/schemas/AgentStatus"},"activity":{"$ref":"#/components/schemas/AgentAvailabilityActivity"},"activityTtl":{"type":"integer","minimum":10,"maximum":86400,"multipleOf":1},"activityText":{"type":"string","maxLength":48},"lastStatusSet":{"type":"string"},"lastActivitySet":{"type":"string"},"updatedAt":{"type":"string","format":"date-time"}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/agents/{agentId}/availability":{"patch":{"description":"Modify the availability of a specific agent.","operationId":"updateAgentAvailability","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetAgentAvailability"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentAvailability"}}},"description":"Updated"},"404":{"$ref":"#/components/responses/error.response.not_found"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Update Agent Availability","tags":["agent"]}}}}
```

## Get Agent Workload

> Retrieve information about workload of a specific agent.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Agents are the actors of the Collaboration API.","name":"agent"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"AgentWorkload":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string"},"workload":{"$ref":"#/components/schemas/AgentWorkloadCapabilities"},"rule":{"$ref":"#/components/schemas/CapacityRule"},"ruleId":{"type":"string"},"updatedAt":{"type":"string","format":"date-time"}}},"AgentWorkloadCapabilities":{"type":"object","additionalProperties":false,"properties":{"messaging":{"type":"integer","minimum":0},"email":{"type":"integer","minimum":0}}},"CapacityRule":{"type":"object","additionalProperties":false,"required":["id","workspaceId","name","description","capacity"],"properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"default":{"type":"boolean"},"capacity":{"type":"object","additionalProperties":false,"properties":{"messaging":{"type":"integer"},"email":{"type":"integer"}}},"assignedAgentIds":{"type":"array","nullable":true,"items":{"type":"string","format":"uuid"}},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error
[...]
